This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 442937

Summary: libblkid sees lvm2pv as swap
Product: [Fedora] Fedora Reporter: Jeremy Katz <katzj>
Component: e2fsprogsAssignee: Eric Sandeen <esandeen>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: kzak, oliver
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-18 13:55:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235706    
Attachments:
Description Flags
fix none

Description Jeremy Katz 2008-04-17 14:00:32 EDT
libblkid ends up seeing an lvm2pv as a swap partition instead because swap is
earlier in the table.  lvm2pv should probably be the first thing probed instead
of the last as it's a container.  See attached patch
Comment 1 Jeremy Katz 2008-04-17 14:00:32 EDT
Created attachment 302779 [details]
fix
Comment 2 Eric Sandeen 2008-04-17 18:00:15 EDT
Bleah, what a mess.

Neither mkswap nor pvcreate does a great job of zeroing other signatures around
the new signature.  For some incantations, pvcreate-then-mkswap has an initial
4k on the disk which is *identical* to mkswap-then-pvcreate.  :(

Sent a patch upstream (and to Jeremy) to check that the swap v1 header has a
valid version and page count... "pvcreate" by itself will zero those.  (pvcreate
-u <blah> will not, unfortunately, so there's still a small hole).

But, it fixes Jeremy's case:

# blkid -c /dev/null /root/md0-for-esandeen 
/root/md0-for-esandeen: UUID="kyOPnO-Biwa-PssU-PsXx-kJDW-36Ry-iZvqk5" TYPE="lvm2pv"
Comment 4 Jeremy Katz 2008-04-18 13:55:20 EDT
Patch committed and built and I tested it with my reproducer, so going to close